Up

# NSFormCell

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Nicola Pero (`n.pero@mi.flashnet.it`)

> The cell class for the NSForm control

Copyright: (C) 1996, 1999 Free Software Foundation, Inc.

# Software documentation for the NSFormCell class

## NSFormCell : NSActionCell

> Declared in:
>   AppKit/NSFormCell.h

> Conforms to:
>   NSCoding

Availability: OpenStep

TODO Description

Instance Variables
Method summary

- -attributedTitle
- -placeholderAttributedString
- -placeholderString
- -setAttributedTitle:
- -setPlaceholderAttributedString:
- -setPlaceholderString:
- -setTitle:
- -setTitleAlignment:
- -setTitleBaseWritingDirection:
- -setTitleFont:
- -setTitleWidth:
- -setTitleWithMnemonic:
- -title
- -titleAlignment
- -titleBaseWritingDirection
- -titleFont
- -titleWidth
- -titleWidth:

### attributedTitle

- (NSAttributedString*) attributedTitle;
Availability: MacOS-X 10.0.0
Description forthcoming.

### placeholderAttributedString

- (NSAttributedString*) placeholderAttributedString;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### placeholderString

- (NSString*) placeholderString;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setAttributedTitle:

- (void) setAttributedTitle: (NSAttributedString*)anAttributedString;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setPlaceholderAttributedString:

- (void) setPlaceholderAttributedString: (NSAttributedString*)string;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setPlaceholderString:

- (void) setPlaceholderString: (NSString*)string;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setTitle:

- (void) setTitle: (NSString*)aString;
Availability: OpenStep

Sets the NSFormCell title to aString. TODO => _formcell_auto_title_width / Update the control(s)

### setTitleAlignment:

- (void) setTitleAlignment: (NSTextAlignment)mode;
Availability: OpenStep

Sets the text alignment of the NSFormCell's title to mode. NSRightTextAlignment by default. See NSTextAlignment for more informations.

See Also: -titleAlignment [NSCell -setAlignment:]

### setTitleBaseWritingDirection:

- (void) setTitleBaseWritingDirection: (NSWritingDirection)writingDirection;
Availability: Not in OpenStep/MacOS-X

Sets the writing direction of the NSFormCell's title

See Also: -titleBaseWritingDirection: [NSCell -setBaseWritingDirection]

### setTitleFont:

- (void) setTitleFont: (NSFont*)fontObject;
Availability: OpenStep

Set the text font of the NSFormCell's title to fontObject.

See Also: -titleFont [NSCell -setFont:]

### setTitleWidth:

- (void) setTitleWidth: (float)width;
Availability: OpenStep

Sets the width of the NSFormCell's title to width. All NSFormCell of the NSForm are updated

See Also: -titleWidth

### setTitleWithMnemonic:

- (void) setTitleWithMnemonic: (NSString*)titleWithAmpersand;
Availability: MacOS-X 10.0.0
Description forthcoming.

### title

- (NSString*) title;
Availability: OpenStep

Returns the NSFormCell's title.

See Also: -setTitle: [NSCell -stringValue]

### titleAlignment

- (NSTextAlignment) titleAlignment;
Availability: OpenStep

Returns the text alignment of the NSFormCell's title. NSRightTextAlignment by default. See NSTextAlignment for more informations

See Also: -setTitleAlignment:

### titleBaseWritingDirection

- (NSWritingDirection) titleBaseWritingDirection;
Availability: Not in OpenStep/MacOS-X

Returns the writing direction of the NSFormCell's title

See Also: -setTitleBaseWritingDirection: [NSCell -baseWritingDirection]

### titleFont

- (NSFont*) titleFont;
Availability: OpenStep

Returns the text font of the NSFormCell's title

See Also: -setTitleFont: [NSCell -font]

### titleWidth

- (float) titleWidth;
Availability: OpenStep
Description forthcoming.

### titleWidth:

- (float) titleWidth: (NSSize)aSize;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSFormCell Class

### _displayedTitleWidth

@protected float _displayedTitleWidth;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _placeholder

@protected id _placeholder;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _titleCell

@protected NSCell* _titleCell;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up